#pragma once

#include <list>

struct _CONNMGR_CONNECTION_DETAILED_STATUS;

class GPRSConnection
{
private:
  std::list<_CONNMGR_CONNECTION_DETAILED_STATUS*> _conns;
  
  HANDLE _hConnMgr;
  HANDLE _hConnection;
  
  bool _connect();
  bool _disconnect();
  
public:
  GPRSConnection(void);
  virtual ~GPRSConnection(void);
  
  bool Connect() { return _connect(); }
  bool Disconnect() { return _disconnect(); }
};
