#pragma once

#ifndef	__POOMCALENDARREADER_H_
#define	__POOMCALENDARREADER_H_

#include "PoomMan.h"

class CPoomCalendarReader :
	public IPoomFolderReader
{
private: 
	void Parse(IAppointment *appointment, CPoomCalendar *calendar);
	IPOutlookItemCollection* _items;

public:
	CPoomCalendarReader(IFolder* pIFolder);
	~CPoomCalendarReader(void);
	
	int Count();
	
	HRESULT Get(int i, CPoomSerializer *pPoomSerializer, LPBYTE *pBuf, UINT *uBufLen);
	HRESULT GetOnce(IPOutlookApp* _pIPoomApp, LONG lOid, CPoomSerializer *pPoomSerializer, LPBYTE *pBuf, UINT* puBufLen);
};
#endif